Skip to content

Fetch API (v3.0: 3.27.0.2)

For differences between versions, see Changelog.

REST API logo


Download OpenAPI description
Overview
API Support Group
License
Languages
Servers
Production server
https://fetch.yellowdogsoftware.com/api/v3

Accounting Export Reports that can be consumed by 3rd Party accounting systems

Operations

Items and Recipes are able to have images associated to them.

Operations

A dynamic list of Items that are designed to aide with physical inventories. Countsheets are based on a static list of items, Levels, and Flags

Operations

Operations used to manage currency conversion for the database. These are used when multiple currencies are used in a database.

Operations

Attributes that are available for assigning to an Item. Attributes can be like a Size or Color.

Operations

Flags allow you to indicate storage locations, making ordering and physical inventories easier.

Operations

Item Inventory OnHand information.

Operations
Operations

UPCs or additional SKUs to for an Item.

Operations

Product information that is tracked in Yellow Dog Inventory.

Operations

A Manual Adjustment will affect an Item's OnHand.

Operations

Database specific configuration information

Operations

Collections of production groups.

Operations

A Purchasing document

Operations
Operations

Collections of items and recipes, with quantities, that are used to create other items.

Operations

Collections of RecipeTypes.

Operations

A requisition for purchasing or transfering an item.

Operations

Associate a count to an Item, these sessions can be used for Purchasing Documents or Physical Inventories.

Operations

Request

Security
Auth API User Token
Query
FilterArray of strings

Filter results by MobileStatus. Accepts string values like "Finalized" and maps to enum value for DB. (Active = 1, Finalized = 2, Recount = 3, Processed = 4)

PageNumberinteger(int32)

Page Number for the result set.

This is expected to be an integer value greater than 0. Defaults to 1 when not passed in.

For more information see the Getting Started Section for Pagination.

PageSizeinteger(int32)

Page Size

  • Default page size: 100
  • Max page size: 500

This is expected to be an integer value greater than 0. Defaults to 100 when not passed in.

For more information see the Getting Started Section for Pagination.

ExpandArray of strings
OrderByArray of strings
enableSessionItemCountNullCoalescenceboolean
Default true
curl -i -X GET \
  'https://fetch.yellowdogsoftware.com/api/v3/sessions?Filter=string&PageNumber=0&PageSize=0&Expand=string&OrderBy=string&enableSessionItemCountNullCoalescence=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/jsonArray [
sessionIDstring(uuid)

Yellow Dog's SessionID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

storeIDstring or null(uuid)

Unique ID of the Yellow Dog store where the item was counted; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

descriptionstring or null

Description of the Session (I.E. January Inventory)

userIDstring(uuid)

Yellow Dog's UserID for the User; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

devicestring or null

The device used to perform the count session

mobileStatusinteger(int32)(Api.Helpers.MobileStatus)
Enum01234
lastUpdatedstring(date-time)

DateTime when this item was last updated in Yellow Dog, in ISO 8601 format

countSheetIDstring or null(uuid)

Yellow Dog's CountSheetID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

sessionItemsArray of objects or null(Api.Models.Dto.SessionItemGet)
]
Response
application/json
[ { "sessionID": "f64470cf-3860-4029-b905-d576bb175df4", "storeID": "b89b5309-e797-4390-b985-9bdc32523397", "description": "string", "userID": "2c3821b8-1cdb-4b77-bcd8-a1da701e46aa", "device": "string", "mobileStatus": 0, "lastUpdated": "2019-08-24T14:15:22Z", "countSheetID": "ed1497be-add9-44eb-9bd3-3df7ef2126f7", "sessionItems": [ … ] } ]

Request

Security
Auth API User Token
BodyArray [
sessionIDstring(uuid)

Yellow Dog's SessionID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

storeIDstring or null(uuid)

Unique ID of the Yellow Dog store where the item was counted; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

descriptionstring or null

Description of the Session (I.E. January Inventory)

userIDstring(uuid)

Yellow Dog's UserID for the User; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

devicestring or null

The device used to perform the count session

countSheetIDstring or null(uuid)

Yellow Dog's CountSheetID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

mobileStatusinteger(int32)(Api.Helpers.MobileStatus)
Enum01234
sessionItemsArray of objects or null(Api.Models.Dto.SessionItemCreate)
]
curl -i -X POST \
  https://fetch.yellowdogsoftware.com/api/v3/sessions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '[
    {
      "sessionID": "f64470cf-3860-4029-b905-d576bb175df4",
      "storeID": "b89b5309-e797-4390-b985-9bdc32523397",
      "description": "string",
      "userID": "2c3821b8-1cdb-4b77-bcd8-a1da701e46aa",
      "device": "string",
      "countSheetID": "ed1497be-add9-44eb-9bd3-3df7ef2126f7",
      "mobileStatus": 0,
      "sessionItems": [
        {
          "sessionItemID": "4a848e0e-fb7d-4b49-85bb-3c47cb68c099",
          "sessionID": "f64470cf-3860-4029-b905-d576bb175df4",
          "itemID": "f1f85a48-b9b1-447d-a06c-c1acf57ed3a8",
          "count": -99999999999.9999,
          "flagID": "886f4211-412a-458d-b966-1bb8f3c8a384",
          "levelID": "a7f1bc8a-b57c-4783-8f8c-e2c8857627cb"
        }
      ]
    }
  ]'

Responses

OK

Bodyapplication/jsonArray [
string(uuid)
]
Response
application/json
[ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ]

Request

Security
Auth API User Token
BodyArray [
sessionIDstring(uuid)

Yellow Dog's SessionID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

storeIDstring or null(uuid)

Unique ID of the Yellow Dog store where the item was counted; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

descriptionstring or null

Description of the Session (I.E. January Inventory)

userIDstring(uuid)

Yellow Dog's UserID for the User; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

devicestring or null

The device used to perform the count session

countSheetIDstring or null(uuid)

Yellow Dog's CountSheetID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

mobileStatusinteger(int32)(Api.Helpers.MobileStatus)
Enum01234
sessionItemsArray of objects or null(Api.Models.Dto.SessionItemCreate)
]
curl -i -X PUT \
  https://fetch.yellowdogsoftware.com/api/v3/sessions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '[
    {
      "sessionID": "f64470cf-3860-4029-b905-d576bb175df4",
      "storeID": "b89b5309-e797-4390-b985-9bdc32523397",
      "description": "string",
      "userID": "2c3821b8-1cdb-4b77-bcd8-a1da701e46aa",
      "device": "string",
      "countSheetID": "ed1497be-add9-44eb-9bd3-3df7ef2126f7",
      "mobileStatus": 0,
      "sessionItems": [
        {
          "sessionItemID": "4a848e0e-fb7d-4b49-85bb-3c47cb68c099",
          "sessionID": "f64470cf-3860-4029-b905-d576bb175df4",
          "itemID": "f1f85a48-b9b1-447d-a06c-c1acf57ed3a8",
          "count": -99999999999.9999,
          "flagID": "886f4211-412a-458d-b966-1bb8f3c8a384",
          "levelID": "a7f1bc8a-b57c-4783-8f8c-e2c8857627cb"
        }
      ]
    }
  ]'

Responses

OK

Response
No content

Request

Security
Auth API User Token
Path
idstring(uuid)required

Session Id

Query
PageNumberinteger(int32)

Page Number for the result set.

This is expected to be an integer value greater than 0. Defaults to 1 when not passed in.

For more information see the Getting Started Section for Pagination.

PageSizeinteger(int32)

Page Size

  • Default page size: 100
  • Max page size: 500

This is expected to be an integer value greater than 0. Defaults to 100 when not passed in.

For more information see the Getting Started Section for Pagination.

ExpandArray of strings
FilterArray of strings
OrderByArray of strings
enableSessionItemCountNullCoalescenceboolean
Default true
curl -i -X GET \
  'https://fetch.yellowdogsoftware.com/api/v3/sessions/{id}?PageNumber=0&PageSize=0&Expand=string&Filter=string&OrderBy=string&enableSessionItemCountNullCoalescence=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
sessionIDstring(uuid)

Yellow Dog's SessionID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

storeIDstring or null(uuid)

Unique ID of the Yellow Dog store where the item was counted; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

descriptionstring or null

Description of the Session (I.E. January Inventory)

userIDstring(uuid)

Yellow Dog's UserID for the User; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

devicestring or null

The device used to perform the count session

mobileStatusinteger(int32)(Api.Helpers.MobileStatus)
Enum01234
lastUpdatedstring(date-time)

DateTime when this item was last updated in Yellow Dog, in ISO 8601 format

countSheetIDstring or null(uuid)

Yellow Dog's CountSheetID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

sessionItemsArray of objects or null(Api.Models.Dto.SessionItemGet)
Response
application/json
{ "sessionID": "f64470cf-3860-4029-b905-d576bb175df4", "storeID": "b89b5309-e797-4390-b985-9bdc32523397", "description": "string", "userID": "2c3821b8-1cdb-4b77-bcd8-a1da701e46aa", "device": "string", "mobileStatus": 0, "lastUpdated": "2019-08-24T14:15:22Z", "countSheetID": "ed1497be-add9-44eb-9bd3-3df7ef2126f7", "sessionItems": [ { … } ] }

Request

Security
Auth API User Token
Path
idstring(uuid)required

Session Id

curl -i -X DELETE \
  'https://fetch.yellowdogsoftware.com/api/v3/sessions/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Response
No content

Adding a Session Item to a Session

Request

Security
Auth API User Token
Path
idstring(uuid)required

Session Id

Body

creation params

itemIDstring(uuid)required
countnumber(double)required
curl -i -X POST \
  'https://fetch.yellowdogsoftware.com/api/v3/sessions/{id}/sessionItems' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "itemID": "f1f85a48-b9b1-447d-a06c-c1acf57ed3a8",
    "count": 0.1
  }'

Responses

OK

Bodyapplication/json
sessionItemIDstring(uuid)

Yellow Dog's SessionID for the Item Counted in the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

sessionIDstring(uuid)

Yellow Dog's SessionID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

itemIDstring or null(uuid)

Yellow Dog's Item ID for the item; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

countnumber or null(double)
Response
application/json
{ "sessionItemID": "4a848e0e-fb7d-4b49-85bb-3c47cb68c099", "sessionID": "f64470cf-3860-4029-b905-d576bb175df4", "itemID": "f1f85a48-b9b1-447d-a06c-c1acf57ed3a8", "count": 0 }

Request

Security
Auth API User Token
Path
idstring(uuid)required

Session Id

sessionItemIdstring(uuid)required

Session Item Id

Body

update params

countnumber(double)required
curl -i -X PUT \
  'https://fetch.yellowdogsoftware.com/api/v3/sessions/{id}/sessionItems/{sessionItemId}/count' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "count": 0.1
  }'

Responses

OK

Bodyapplication/json
sessionItemIDstring(uuid)

Yellow Dog's SessionID for the Item Counted in the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

sessionIDstring(uuid)

Yellow Dog's SessionID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

itemIDstring or null(uuid)

Yellow Dog's Item ID for the item; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

countnumber or null(double)
Response
application/json
{ "sessionItemID": "4a848e0e-fb7d-4b49-85bb-3c47cb68c099", "sessionID": "f64470cf-3860-4029-b905-d576bb175df4", "itemID": "f1f85a48-b9b1-447d-a06c-c1acf57ed3a8", "count": 0 }

Business Entities or locations of a single business entity that need to maintain their own inventory records.

Operations

Additional configuration options that control item, store or level behavior with third-party integrations

Operations

Third Party Mappings with Yellow Dog Inventory

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

A record of movement of Items from one Store to another.

Operations

Vendors, Suppliers, Distributors, or Manufacturors that provide Items into the Inventory.

Operations